<ion-header>
  <ion-navbar>
  <ion-title *ngIf="detailData" style="white-space: normal;overflow: hidden;text-overflow: ellipsis;">Seminar - {{detailData.data.title}}</ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="content-detail" padding>
  <div *ngIf="detailData">
    <h1>
      {{detailData.data.title}}
    </h1>

    <p style="font-size: 11px;color: #5C5C5C;margin: 0;">
      {{detailData.data.date_created | date : "MMMM d, yyyy HH:mm a "}}
    </p>

    <button *ngIf="shareUrlStatus" clear ion-button icon-left style="border-width:0; padding-left:0" (click)="share(detailData.data.title, detailData.data.url_share)">
      <ion-icon name="md-share"></ion-icon>
      Bagikan
    </button>

    <ion-slides *ngIf="photoStatus && !lengthArrImg" pager loop="true" autoplay="3000" style="height: 30%" #slides>
      <ion-slide *ngFor="let data of dataImageContent">
        <img onError="this.src='assets/img/placeholder-image.png'" [src]="data.thumbnail" imageViewer>
      </ion-slide>
    </ion-slides>

    <ion-slides *ngIf="photoStatus && lengthArrImg" style="height: 30%" #slides>
      <ion-slide *ngFor="let data of dataImageContent">
        <img onError="this.src='assets/img/placeholder-image.png'" [src]="data.thumbnail" imageViewer>
      </ion-slide>
    </ion-slides>

 <div class="zoom" [ngStyle]="{'font-size': fontSize}" [innerHTML]="toHTML(detailData.data.content)"></div>

    <table style="width:100%">
      <tr style="padding:1%">
        <td><b>Pelaksanaan</b></td>
        <td>&nbsp;:&nbsp;</td>
        <td>{{convertDateText(detailData.data.seminar_start)}} - {{convertDateText(detailData.data.seminar_end)}}</td>
      </tr>
      <tr style="padding:1%">
        <td><b>Pendaftaran</b></td>
        <td>&nbsp;:&nbsp;</td>
        <td>{{convertDateText(detailData.data.pendaftaran_start)}} - {{convertDateText(detailData.data.pendaftaran_end)}}</td>
      </tr>
      <tr style="padding:1%">
        <td><b>Status Pendaftaran</b></td>
        <td>&nbsp;:&nbsp;</td>
        <td>({{statusDateConvert(detailData.data.pendaftaran_end)}})</td>
      </tr>
    </table>
    <div>
      <hr style="height: 5px;" >
      <p style="margin-top:0;margin-bottom:0">Pendaftaran</p>
      <hr>
    </div>
    <ion-item>
      <ion-label>Jumlah Pendaftar : </ion-label>
      <ion-select [(ngModel)]="pendaftar">
        <ion-option value="1">1</ion-option>
        <ion-option value="2">2</ion-option>
        <ion-option value="3">3</ion-option>
        <ion-option value="4">4</ion-option>
        <ion-option value="5">5</ion-option>
        <ion-option value="6">6</ion-option>
        <ion-option value="7">7</ion-option>
        <ion-option value="8">8</ion-option>
        <ion-option value="9">9</ion-option>
        <ion-option value="10">10</ion-option>
      </ion-select>
    </ion-item>
    <ion-item style="padding:0;margin:0">
      <ion-grid style="padding:0;margin:0">
        <ion-col col-6 offset-3 style="margin-bottom: 10%;">
          <button (click)="goToRegister()" class="button-input" ion-button block style="text-transform:none;">Daftar</button>
        </ion-col>
      </ion-grid>
    </ion-item>

    <div *ngIf="dataComment != []" style="margin-top:5%;">
      <hr style="height: 5px;" >
      <p style="margin-top:0;margin-bottom:0">Komentar</p>
      <hr>
    </div>
    <ion-list>
      <ion-item style="padding-left:0; border-bottom:1px solid #ddd!important;margin-bottom:5px!important" *ngFor="let data of dataComment">
        <ion-avatar item-start>
          <img src={{data.photo}} onError="this.src='assets/img/speakers/turtle.jpg'">
        </ion-avatar>
        <ion-label style="margin:0">
          <p style="white-space: nowrap;overflow: hidden;text-overflow: ellipsis;"><b>{{data.alias}}</b></p>
          <p style="white-space: normal">{{data.content}}</p>
          <p style="font-size: 10px; color: #84AFD9;">
            {{data.date_created}}
          </p>
        </ion-label>
      </ion-item>
      <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
        <ion-infinite-scroll-content></ion-infinite-scroll-content>
      </ion-infinite-scroll>
    </ion-list>
  </div>
</ion-content>

// create comment section
<ion-footer *ngIf="!commentStatus && shareUrlStatus" padding style="background-color: #cacaca;padding: 10px">
  <form>
    <ion-grid style="padding: 0">
      <ion-row>
        <ion-col col-12 style="padding: 0">
          <ion-input  class="comment" (click)="openComment()" style="background-color:white" type="text" placeholder="Beri komentar ..."></ion-input>
        </ion-col>
      
      </ion-row>
    </ion-grid>
  </form>
</ion-footer>

<ion-footer *ngIf="!commentStatus && !shareUrlStatus" padding style="background-color: #cacaca;padding: 10px">
  <form>
    <ion-grid style="padding: 0">
      <ion-row>
        <ion-col col-12 style="padding: 0">
          <ion-input class="comment" (click)="openComment()" style="background-color:white" type="text" placeholder="Beri komentar ..."></ion-input>
        </ion-col>
      </ion-row>
      <ion-col col-1 style="padding: 0;">
        <ion-row>
          <ion-col>
            <a>
              <ion-icon style="zoom: 2.0;color: transparent;" name="share"></ion-icon>
            </a>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-grid>
  </form>
</ion-footer>

<ion-footer *ngIf="commentStatus" class="not-login-footer" padding style="background-color: #cacaca;">
	<form>
    <ion-grid style="padding: 0">
      <ion-row>
        <ion-col col-11></ion-col>
        <ion-col col-1>
          <a (click)="closeComment()">
            <ion-icon style="color: white; font-size:20px" ios="ios-close-circle" md="ios-close-circle"></ion-icon>
          </a>
        </ion-col>
      </ion-row>
            <ion-row>
        <ion-col *ngIf="commentDisable" col-10 style="padding: 0">
          <ion-input class="comment" [disabled]="commentDisable" [(ngModel)]="name" [ngModelOptions]="{standalone: true}" style="background-color:white" type="text" placeholder="Nama "></ion-input>
        </ion-col>
		<ion-col *ngIf="!commentDisable" col-10 style="padding: 0">
          <ion-input class="comment" [disabled]="commentDisable" [(ngModel)]="name" [ngModelOptions]="{standalone: true}" style="background-color:white" type="text" placeholder="Nama " autofocus></ion-input>
        </ion-col>
      </ion-row>
      <ion-row style="margin-top:45px">
        <ion-col col-10 *ngIf="commentDisable" style="padding: 0">
          <ion-textarea class="comment" [(ngModel)]="comment"  [ngModelOptions]="{standalone: true}" rows="2" style="background-color:white" type="text" placeholder="Beri komentar ..." autofocus></ion-textarea>
        </ion-col>
		<ion-col col-10 *ngIf="!commentDisable" style="padding: 0">
          <ion-textarea class="comment" [(ngModel)]="comment"  [ngModelOptions]="{standalone: true}" rows="2" style="background-color:white" type="text" placeholder="Beri komentar ..."></ion-textarea>
        </ion-col>
        <ion-col col-2  align="center">
          <a align="center" (click)="sendComment()">
            <ion-icon style="color: white; font-size:40px" ios="ios-send" md="ios-send"></ion-icon>
          </a>
        </ion-col>
      </ion-row>
    </ion-grid>
	</form>
</ion-footer>
// create comment section
